Methods for working with elastic templates and elastic signing agreements.
Methods supported
| Method | Description |
|---|---|
| createBulkClickwrapAgreements | POST /clickapi/v1/accounts/{accountId}/clickwraps/{clickwrapId}/bulk_agreementsStarts an export of clickwrap agreements for a specified date range. |
| createClickwrap | POST /clickapi/v1/accounts/{accountId}/clickwrapsCreates an elastic template for an account. |
| createClickwrapVersion | POST /clickapi/v1/accounts/{accountId}/clickwraps/{clickwrapId}/versionsCreates a new elastic template version. |
| createHasAgreed | POST /clickapi/v1/accounts/{accountId}/clickwraps/{clickwrapId}/agreementsCreates a unique URL for the agreement that you can embed in your application. |
| deleteClickwrap | DEL /clickapi/v1/accounts/{accountId}/clickwraps/{clickwrapId}Deletes an elastic template and all of its versions. |
| deleteClickwraps | DEL /clickapi/v1/accounts/{accountId}/clickwrapsDeletes elastic templates for an account. |
| deleteClickwrapVersion | DEL /clickapi/v1/accounts/{accountId}/clickwraps/{clickwrapId}/versions/{versionId}Deletes an elastic template version by version ID. |
| deleteClickwrapVersions | DEL /clickapi/v1/accounts/{accountId}/clickwraps/{clickwrapId}/versionsDeletes the versions of an elastic template. |
| getAgreement | GET /clickapi/v1/accounts/{accountId}/clickwraps/{clickwrapId}/agreements/{agreementId}Gets a specific agreement for a specified elastic template. |
| getAgreementDocument | GET /clickapi/v1/accounts/{accountId}/clickwraps/{clickwrapId}/versions/{versionId}/documents/{orderOrDisclosure}Downloads a document at an order within the agreement. |
| getAgreementPdf | GET /clickapi/v1/accounts/{accountId}/clickwraps/{clickwrapId}/agreements/{agreementId}/downloadGets the completed user agreement PDF. |
| getClickwrap | GET /clickapi/v1/accounts/{accountId}/clickwraps/{clickwrapId}Gets a single elastic template object. |
| getClickwrapAgreements | GET /clickapi/v1/accounts/{accountId}/clickwraps/{clickwrapId}/usersGet elastic signing agreements. |
| getClickwraps | GET /clickapi/v1/accounts/{accountId}/clickwrapsGets all the elastic templates for a user. |
| getClickwrapVersion | GET /clickapi/v1/accounts/{accountId}/clickwraps/{clickwrapId}/versions/{versionId}Gets a specific version of an elastic template by version ID. |
| getClickwrapVersionAgreements | GET /clickapi/v1/accounts/{accountId}/clickwraps/{clickwrapId}/versions/{versionId}/usersGets the agreement responses for an elastic template version by version ID. |
| getClickwrapVersions | GET /clickapi/v1/accounts/{accountId}/clickwraps/{clickwrapId}/versionsGets all the versions of an elastic template. |
| getServiceInformation | GET /clickapi/service_informationGets the current version and other information about the Click API. |
| updateClickwrap | PUT /clickapi/v1/accounts/{accountId}/clickwraps/{clickwrapId}Update properties of an elastic template. |
| updateClickwrapVersion | PUT /clickapi/v1/accounts/{accountId}/clickwraps/{clickwrapId}/versions/{versionId}Update properties of an elastic template by its version ID. |